package com.caimei.entity;

import java.io.Serializable;
import java.util.List;

/**
 * 发货物流批次Entity
 *
 * @author 李俊
 * @version 2019-12-17
 */
public class CmLogisticsBatch implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private Integer id;
	private Integer shopOrderID;		// 子订单ID
	private Integer orderID;		// 主订单ID
	private Integer outStoreTimes;		// 第几批发货
	private String status;	//是否确认收货（0：否，1：是）
	private String mailer;		// 邮寄者  0 采美   1 供应商
	private Integer shopID;		// 供应商ID
	private String updateDate;	//更新时间
	private String deliveryTime;		// 发货时间
	private String receiptTime;		// 收货时间
	List<CmLogisticsRecord> cmLogisticsRecords;//该批次订单商品记录
	List<LogisticsInfo> logisticsInfos;//该批次物流信息

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getShopOrderID() {
		return shopOrderID;
	}

	public void setShopOrderID(Integer shopOrderID) {
		this.shopOrderID = shopOrderID;
	}
	
	public Integer getOrderID() {
		return orderID;
	}

	public void setOrderID(Integer orderID) {
		this.orderID = orderID;
	}
	
	public Integer getOutStoreTimes() {
		return outStoreTimes;
	}

	public void setOutStoreTimes(Integer outStoreTimes) {
		this.outStoreTimes = outStoreTimes;
	}
	
	public String getMailer() {
		return mailer;
	}

	public void setMailer(String mailer) {
		this.mailer = mailer;
	}
	
	public Integer getShopID() {
		return shopID;
	}

	public void setShopID(Integer shopID) {
		this.shopID = shopID;
	}
	
	public String getDeliveryTime() {
		return deliveryTime;
	}

	public void setDeliveryTime(String deliveryTime) {
		this.deliveryTime = deliveryTime;
	}
	
	public String getReceiptTime() {
		return receiptTime;
	}

	public void setReceiptTime(String receiptTime) {
		this.receiptTime = receiptTime;
	}

	public List<CmLogisticsRecord> getCmLogisticsRecords() {
		return cmLogisticsRecords;
	}

	public void setCmLogisticsRecords(List<CmLogisticsRecord> cmLogisticsRecords) {
		this.cmLogisticsRecords = cmLogisticsRecords;
	}

	public List<LogisticsInfo> getLogisticsInfos() {
		return logisticsInfos;
	}

	public void setLogisticsInfos(List<LogisticsInfo> logisticsInfos) {
		this.logisticsInfos = logisticsInfos;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
}