package com.caimei.entity;

import java.io.Serializable;
import java.util.List;

public class CmOrganizeProducts implements Serializable {
    private Integer id;
    private Integer classifyID;   //对应cm_mall_products_classify商品分类表id
    private Integer organizeID;    //组织ID,具体对应cm_mall_organize表ID
    private Integer productID;     //商品ID,具体对应product表
    private Double normalPrice;    //市场价
    private Double costPrice;       //成本价
    private Double retailPrice;     //售价
    private Integer minBuyNumber;    //最小起订量
    private String preferredProduct;    //是否是优选商品：0不是优选,1优选商品
    private String commonlyProduct;     //是否是常用商品：0不是常用,1常用商品
    private String preferentialProduct; //是否是惊喜特惠：0不是特惠,1惊喜特惠商品
    private String validFlag;       //商品状态,1已上架,2已下架
    private Integer preferredProductSort;       //（优选排序）排序默认为空,排序优先级1最高，空最后
    private Integer commonlyProductSort;   //(常用排序）排序默认为空,排序优先级1最高,空最后
    private Integer preferentialProductSort;   //（精品排序）排序默认为空,排序优先级1最高,空最后
    private String addTime;     //添加时间
    private String updateTime;     //更新时间
    private String delFlag;     //是否有效状态 0 有效 其它无效
    private String mainImage;   //主图
    private String name;        //商品名称
    private String unit;        //包装规格
    private Integer productCount;  //商品数量
    private Integer cartCount;   //购物车总数量
    private Product product;    //采美商品表
    private List<ProductImage> ProductImage;  //商品图片
    private ProductDetailInfo productDetailInfo; //商品详情
    private Shop shop;      //供应商信息
    private String shopName;        //商品名称
    private Integer shopID;//
    private String productClassifyName;//商品分类名字
    private Boolean productsChecked = false;  //商品勾选状态

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getClassifyID() {
        return classifyID;
    }

    public void setClassifyID(Integer classifyID) {
        this.classifyID = classifyID;
    }

    public Integer getOrganizeID() {
        return organizeID;
    }

    public void setOrganizeID(Integer organizeID) {
        this.organizeID = organizeID;
    }

    public Integer getProductID() {
        return productID;
    }

    public void setProductID(Integer productID) {
        this.productID = productID;
    }

    public Double getNormalPrice() {
        return normalPrice;
    }

    public void setNormalPrice(Double normalPrice) {
        this.normalPrice = normalPrice;
    }

    public Double getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(Double costPrice) {
        this.costPrice = costPrice;
    }

    public Double getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(Double retailPrice) {
        this.retailPrice = retailPrice;
    }

    public Integer getMinBuyNumber() {
        return minBuyNumber;
    }

    public void setMinBuyNumber(Integer minBuyNumber) {
        this.minBuyNumber = minBuyNumber;
    }

    public String getPreferredProduct() {
        return preferredProduct;
    }

    public void setPreferredProduct(String preferredProduct) {
        this.preferredProduct = preferredProduct;
    }

    public String getCommonlyProduct() {
        return commonlyProduct;
    }

    public void setCommonlyProduct(String commonlyProduct) {
        this.commonlyProduct = commonlyProduct;
    }

    public String getPreferentialProduct() {
        return preferentialProduct;
    }

    public void setPreferentialProduct(String preferentialProduct) {
        this.preferentialProduct = preferentialProduct;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public Integer getPreferredProductSort() {
        return preferredProductSort;
    }

    public void setPreferredProductSort(Integer preferredProductSort) {
        this.preferredProductSort = preferredProductSort;
    }

    public Integer getCommonlyProductSort() {
        return commonlyProductSort;
    }

    public void setCommonlyProductSort(Integer commonlyProductSort) {
        this.commonlyProductSort = commonlyProductSort;
    }

    public Integer getPreferentialProductSort() {
        return preferentialProductSort;
    }

    public void setPreferentialProductSort(Integer preferentialProductSort) {
        this.preferentialProductSort = preferentialProductSort;
    }

    public String getAddTime() {
        return addTime;
    }

    public void setAddTime(String addTime) {
        this.addTime = addTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getMainImage() {
        return mainImage;
    }

    public void setMainImage(String mainImage) {
        this.mainImage = mainImage;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public List<com.caimei.entity.ProductImage> getProductImage() {
        return ProductImage;
    }

    public void setProductImage(List<com.caimei.entity.ProductImage> productImage) {
        ProductImage = productImage;
    }

    public ProductDetailInfo getProductDetailInfo() {
        return productDetailInfo;
    }

    public void setProductDetailInfo(ProductDetailInfo productDetailInfo) {
        this.productDetailInfo = productDetailInfo;
    }

    public Shop getShop() {
        return shop;
    }

    public void setShop(Shop shop) {
        this.shop = shop;
    }

    public Integer getCartCount() {
        return cartCount;
    }

    public void setCartCount(Integer cartCount) {
        this.cartCount = cartCount;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Boolean getProductsChecked() {
        return productsChecked;
    }

    public void setProductsChecked(Boolean productsChecked) {
        this.productsChecked = productsChecked;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getProductClassifyName() {
        return productClassifyName;
    }

    public void setProductClassifyName(String productClassifyName) {
        this.productClassifyName = productClassifyName;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }
}
